Republic Anywhere Minimum System Requirements

Prior to installing Republic Anywhere, please ensure that the devices you are attempting to install it on meet the following requirements.

Android Phones and Tablets

  • Android Phones and tablets running Android version 6.0 or higher

iPhone and iPad

  • iOS 10 or higher

Mac

  • Mac OS Yosemite (10.10) or higher

Windows

  • Windows 7 or higher

Linux (BETA)

  • Debian-based systems
    • Ubuntu (15.04 or higher)
    • 64-bit OS
    • Linux Mint
    • Elementary
    • Etc.
  • Note:
    • Republic Anywhere for Linux is a BETA version, but you don't have to be part of the initial Anywhere BETA in order to use the Linux app.
    • Our Republic Anywhere app for Linux is used by many on our development team and among our members. However, as the Linux app is considered a BETA, it's not supported in the same way as other versions of the app. If you experience issues or want to ask for help, members help one another in our Community.

Having trouble finding the answer you’re looking for? Ask an Expert Member.
(Our Experts are not staff, but their knowledge of our service and phones is outstanding!)